﻿namespace Sharing.Share.Dtos.DataSharing.Province
{
    /// <summary>
    /// 督办工单派发接口
    /// </summary>
    public class SuperviseDto
    {
        /// <summary>
        /// 督办编号
        /// </summary>        
        public string SuperviseSerial { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>        
        public string CaseSerial { get; set; }

        /// <summary>
        /// 督办标题
        /// </summary>        
        public string SuperviseTitle { get; set; }

        /// <summary>
        /// 督办内容
        /// </summary>   
        public string SuperviseContent { get; set; }

        /// <summary>
        /// 督办发起人
        /// </summary>        
        public string SupervisePerson { get; set; }

        /// <summary>
        /// 督办发起时间
        /// </summary>    
        public DateTime? SuperviseTime { get; set; }

        /// <summary>
        /// 督办发起单位
        /// </summary>        
        public string SuperviseSendDept { get; set; }

        /// <summary>
        /// 被督办单位
        /// </summary>        
        public string SuperviseRsvDept { get; set; }

        /// <summary>
        /// 督办类型  10：神秘访客；20：时限超期；40：不满意工单；50：答复不规范；
        /// </summary>        
        public string SuperviseType { get; set; }

        /// <summary>
        /// 督办反馈截止时间
        /// </summary>        
        public DateTime? SuperviseReturnDate { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        public List<string> CliengGuid { get; set; }
    }
}
